## ros-galactic-controller-interface 1.6.0

=== debian/changelog ===
ros-galactic-controller-interface (1.6.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-galactic-controller-interface (1.5.1-1focal) focal; urgency=high

  * Make interface_list_contains_interface_type inline (#721 <https://github.com/ros-controls/ros2_control/issues/721>) (#723 <https://github.com/ros-controls/ros2_control/issues/723>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 May 2022 23:00:00 -0000

ros-galactic-controller-interface (1.5.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Apr 2022 23:00:00 -0000

ros-galactic-controller-interface (1.4.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Feb 2022 00:00:00 -0000

ros-galactic-controller-interface (1.3.0-1focal) focal; urgency=high

  * fix get_update_rate visibility in windows (#586 <https://github.com/ros-controls/ros2_control/issues/586>) (#588 <https://github.com/ros-controls/ros2_control/issues/588>)
    (cherry picked from commit 3f4a55bd898d5ae16fbefb6b19822dce0dbeba2a)
    Co-authored-by: Melvin Wang <mailto:melvin.mc.wang@gmail.com>
  * Use lifecycle name constants from hardware interface in controller interface (#575 <https://github.com/ros-controls/ros2_control/issues/575>)
    * Use lifecycle name constants from hardware interface in controller interface
    * Remove controller_state_names.hpp since it is not needed.
  * Contributors: Xi-Huang, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Dec 2021 00:00:00 -0000

ros-galactic-controller-interface (1.2.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-galactic-controller-interface (1.1.0-1focal) focal; urgency=high

  * Quick fix 🏎: make doc on helpers clearer (#553 <https://github.com/ros-controls/ros2_control/issues/553>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-galactic-controller-interface (1.0.0-1focal) focal; urgency=high

  * Per controller update rate (#513 <https://github.com/ros-controls/ros2_control/issues/513>)
    * add update_rate member field to controller manager
  * added dt to controller interface and controller manager #438 <https://github.com/ros-controls/ros2_control/issues/438> (#520 <https://github.com/ros-controls/ros2_control/issues/520>)
  * Methods controlling the lifecycle of controllers all have on_ prefix
  * Do not manually set C++ version to 14 (#516 <https://github.com/ros-controls/ros2_control/issues/516>)
  * rename get_current_state() to get_state() (#512 <https://github.com/ros-controls/ros2_control/issues/512>)
  * Contributors: Bence Magyar, Denis Štogl, Dmitri Ignakov, Márk Szitanics, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-galactic-controller-interface (0.8.0-1focal) focal; urgency=high

  * Automatic parameter declaration - enable existence of undeclared parameters from overrides (#504 <https://github.com/ros-controls/ros2_control/issues/504>)
  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Make controller_manager set controller's use_sim_time param when use_sim_time=True (#468 <https://github.com/ros-controls/ros2_control/issues/468>)
  * Correct obviously wrong call in controller interface. (#460 <https://github.com/ros-controls/ros2_control/issues/460>)
  * virtual destructors for semantic components (#455 <https://github.com/ros-controls/ros2_control/issues/455>)
  * Contributors: Denis Štogl, Karsten Knese, Lovro Ivanov, Simon Honigmann

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Aug 2021 23:00:00 -0000

ros-galactic-controller-interface (0.7.1-1focal) focal; urgency=high

  * Remove forgoten debug output (#439 <https://github.com/ros-controls/ros2_control/issues/439>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Jun 2021 23:00:00 -0000

ros-galactic-controller-interface (0.7.0-1focal) focal; urgency=high

  * Add imu_sensor semantic component (#429 <https://github.com/ros-controls/ros2_control/issues/429>)
  * Fix osx warnings (#428 <https://github.com/ros-controls/ros2_control/issues/428>)
  * Add FTS as first semantic components to simplify controllers. (#370 <https://github.com/ros-controls/ros2_control/issues/370>)
  * Contributors: bailaC, Denis Štogl, Jordan Palacios, Karsten Knese, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Jun 2021 23:00:00 -0000

ros-galactic-controller-interface (0.6.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 May 2021 23:00:00 -0000

ros-galactic-controller-interface (0.6.0-1focal) focal; urgency=high

  * Added labels for controller states. (#414 <https://github.com/ros-controls/ros2_control/issues/414>)
  * prevent variable-sized object initialization (#411 <https://github.com/ros-controls/ros2_control/issues/411>)
  * Contributors: Denis Štogl, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-galactic-controller-interface (0.5.0-1focal) focal; urgency=high

  * Add NodeOptions parameter to init function of controller_interface (#382 <https://github.com/ros-controls/ros2_control/issues/382>)
  * guard around pragmas (#397 <https://github.com/ros-controls/ros2_control/issues/397>)
  * avoid deprecations (#393 <https://github.com/ros-controls/ros2_control/issues/393>)
  * Contributors: Auguste Bourgois, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 May 2021 23:00:00 -0000

ros-galactic-controller-interface (0.4.0-1focal) focal; urgency=high


