=== debian/control ===
Source: ros-galactic-controller-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gmock, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-hardware-interface, ros-galactic-rclcpp-lifecycle, ros-galactic-sensor-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-controller-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-hardware-interface, ros-galactic-rclcpp-lifecycle, ros-galactic-sensor-msgs, ros-galactic-ros-workspace
Description: Description of controller_interface
